TakenAt: 2012-09-13T19:14:07Z
TakenSrc: meta
UID: prjwuh03exzc0r92
Type: image
Title: Queen City Yacht Club / Toronto Island
PlaceSrc: estimate
Altitude: 30
Year: 2012
Month: 9
Day: 13
ISO: 100
Exposure: 1/320
FNumber: 6.3
FocalLength: 84
Quality: 3
CameraSerial: "2581203848"
Details:
  Keywords: city, club, grey, island, queen, toronto, yacht
  Software: Adobe Photoshop CS6 (Macintosh)
  SoftwareSrc: meta
CreatedAt: 2022-10-17T18:39:00.188664719Z
UpdatedAt: 2022-10-17T18:39:00.191838455Z
